org.codehaus.plexus.configuration.processor

## Class ConfigurationResourceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.configuration.processor.ConfigurationResourceNotFoundException

All Implemented Interfaces:
  Serializable

    public class ConfigurationResourceNotFoundException
    extends Exception

Version:
  $Id: ConfigurationResourceNotFoundException.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationResourceNotFoundException(String message)`
`ConfigurationResourceNotFoundException(String message, Throwable cause)`
`ConfigurationResourceNotFoundException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationResourceNotFoundException

    public ConfigurationResourceNotFoundException(String message)

#### ConfigurationResourceNotFoundException

    public ConfigurationResourceNotFoundException(Throwable cause)

#### ConfigurationResourceNotFoundException

    public ConfigurationResourceNotFoundException(String message,
                                          Throwable cause)